package com.kospo.talk.service;

import com.kospo.talk.model.Question;
import com.kospo.talk.model.QuestionId;
import com.kospo.talk.payload.QuestionDto;
import jakarta.transaction.Transactional;

import java.util.List;

public interface QuestionService {
    @Transactional
    List<Question> findBySabun(String sabun);

    List<Question> findByWorkId(String workId);

    Question findByWorkIdAndContent(String workId, String content);

    void save(QuestionDto questionDto);

    void update(QuestionDto questionDto);

    void delete(QuestionId questionId);
}
